
Katello - Bug #4718

(nightlies 3-19-14) cannot reliably get errata to display

03/19/2014 04:44 PM - Erik Jacobs

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I cannot seem to get errata to reliably display for a registered system.

The underlying RHEL product/repo has been synced for hours, goferd and the rhsm services have been running for hours, but no

errata was displaying.

After running various commands, it appears that the errata showed up, but I am not sure which one actually made it happen

(rhn_check, subscription-manager repos, yum repolist, etc etc.)

One would expect that as soon as a sync event has finished for a product that any system subscribed to that product/repo should get

the errata list showing shortly thereafter.

[root@satellite foreman-proxy]# rpm -qa | grep -E "foreman|katello" | sort

foreman-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-proxy-1.5.0-0.develop.201403141615git2f75941.el6.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

katello-1.5.0-14.201403182251gita638704.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403182251gita638704.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403182248git62f913f.git.0.087e5ab.el6.noarch

rubygem-katello_api-0.0.8-1.201403182244git25f03d8.git.0.b35bfdd.el6.noarch

History

#1 - 03/21/2014 08:15 PM - Mike McCune

- Triaged set to Yes

#2 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#3 - 03/21/2014 10:09 PM - Mike McCune

- Assignee set to Justin Sherrill

- Priority changed from Normal to High

- Triaged set to No
#4 - 03/21/2014 10:10 PM - Mike McCune

- Triaged changed from No to Yes

#5 - 03/23/2014 06:33 PM - Justin Sherrill

This should have been resolved with: http://projects.theforeman.org/issues/4758  will get up with erik and test myself on monday

#6 - 03/23/2014 06:34 PM - Justin Sherrill

- Status changed from New to Assigned

#7 - 07/02/2014 02:14 PM - Justin Sherrill

- Status changed from Assigned to Closed

This should now be resolved.

#8 - 07/07/2014 07:22 AM - Eric Helms

- Target version set to 48

#9 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
